Bug 186220 - [PATCH] devel/ccache: and new compiler links
[PATCH] devel/ccache: and new compiler links
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bryan Drewery
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-29 04:10 UTC by amdmi3
Modified: 2014-01-30 17:10 UTC (History)
1 user (show)

See Also:


Attachments
ccache-3.1.9_4.patch (775 bytes, patch)
2014-01-29 04:10 UTC, amdmi3
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description amdmi3 2014-01-29 04:10:00 UTC
- Add new compiler links: gcc49, clang33 and clang34

Port maintainer (bdrewery@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_11 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-01-29 04:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

Over to maintainer (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=186220 

Date: Wed, 29 Jan 2014 14:26:30 -0600
Comment 2 Bryan Drewery freebsd_committer 2014-01-30 17:06:36 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter freebsd_committer 2014-01-30 17:06:38 UTC
Author: bdrewery
Date: Thu Jan 30 17:06:30 2014
New Revision: 341862
URL: http://svnweb.freebsd.org/changeset/ports/341862
QAT: https://qat.redports.org/buildarchive/r341862/

Log:
  - Add support for clang31,32,33,34 links
  
  PR:		ports/186220
  Submitted by:	Dmitry Marakasov <amdmi3@amdmi3.ru>

Modified:
  head/devel/ccache/Makefile

Modified: head/devel/ccache/Makefile
==============================================================================
--- head/devel/ccache/Makefile	Thu Jan 30 16:46:22 2014	(r341861)
+++ head/devel/ccache/Makefile	Thu Jan 30 17:06:30 2014	(r341862)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ccache
 PORTVERSION=	3.1.9
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel
 MASTER_SITES=	http://www.samba.org/ftp/ccache/ \
 		CRITICAL
@@ -39,11 +39,12 @@ PLIST_SUB+=	CCLINKDIR="${CCLINKDIR}"
 CCACHE_COMPILERS+=	icc icpc
 .endif
 
-GNU_COMPILERS+=		34 42 43 44 45 46 47 48
+GNU_COMPILERS+=		34 42 43 44 45 46 47 48 49
 CCACHE_COMPILERS+=	cc c++ gcc g++ ${GNU_COMPILERS:S|^|gcc|} ${GNU_COMPILERS:S|^|g++|}
 
 .if ${PORT_OPTIONS:MCLANGLINK}
-CCACHE_COMPILERS+=	clang clang++
+CLANG_COMPILERS+=	31 32 33 34
+CCACHE_COMPILERS+=	clang clang++ ${CLANG_COMPILERS:S|^|clang|} ${CLANG_COMPILERS:S|^|clang++|}
 .endif
 
 .if ${PORT_OPTIONS:MLLVMLINK}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"